/connections

Criar conexão

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Criar uma conexão

Utilize esta rota para criar uma conexão com uma fonte de dados para ser usada na Dadosfera.

Payload example

{
  "name": "My PostgreSQL Connection",
  "description": "Production database connection",
  "type": "database",
  "network_config_id": null,
  "properties": {
    "credentials_type": "basic_auth",
    "plugin": "postgresql",
    "host": "db.example.com",
    "port": "5432",
    "username": "admin",
    "password": "your-password",
    "database": "production_db"
  },
  "connector_id": "connector-abc-123",
  "connector_name": "PostgreSQL",
  "plugin": "postgresql",
  "image_url": "https://assets.dadosfera.ai/images/connectors/postgresql.svg"
}

Body fields

  • name (required): display name for the connection;
  • description (required): description of the connection;
  • type (required): connection type — database, file, or application;
  • network_config_id (optional): ID of the VPN configuration to use, or null;
  • properties (required): object containing the connection configuration and credentials;
  • connector_id (required): ID of the connector to use;
  • connector_name (required): name of the connector;
  • plugin (required): plugin identifier for the connector;
  • image_url (required): URL for the connector's icon image.

Error scenarios

CodeErrorDescription
401UnauthenticatedInvalid or missing access-token header
403ForbiddenUser does not have the required permissions
404Not FoundThe specified connector does not exist
500Internal Server ErrorUnknown server error
Body Params
string
required
string
required
string
required
string
properties
object
required
string
required
string
required
string
required
string
required
Response

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json